Bug 8506 - Adding Existing Folders/Files should open up to file path of the previous added folder/file.
Summary: Adding Existing Folders/Files should open up to file path of the previous add...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Management (show other bugs)
Version: 3.0.x
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: master
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-11-19 12:14 UTC by PJ
Modified: 2016-09-16 05:28 UTC (History)
5 users (show)

See Also:
Tags: papercut
Is this bug a regression?: ---
Last known good build:


Attachments

Description PJ 2012-11-19 12:14:56 UTC
Steps to reproduce:
1. Create a project
2. Right click the project in the solution explorer
3. Select Add->Existing Folder
4. Choose a folder from somewhere on the hard drive that is not the current project directory
5. Again right click the project in the solution explorer
6. Again select Add->Existing Folder

Expected behavior:
Folder selection dialog should be open to the file path of the folder chosen in step 4


Actual behavior:
Folder selection dialog opens to the project directory
http://screencast.com/t/MCVDeBo1B



Note: the same behavior is exhibited if you substitute "File" for "Folder"


I had heard this bug mentioned a number of times as a known issue, but then I went to look for it and I couldn't find it.
Technically a feature request so filing as such.



MonoDevelop 3.0.5
Installation UUID: 696ec82d-03ab-4ea0-b735-a186f49a9d37
Runtime:
	Mono 2.10.9 (tarball)
	GTK 2.24.10
	GTK# (2.12.0.0)
	Package version: 210090011
Apple Developer Tools:
	 Xcode 4.5.2 (1847)
	 Build 4G2008a
Monotouch: 6.1.0
Mono for Android: 4.2.7
Android SDK: /Users/pjbeaman/Library/Developer/Xamarin/android-sdk-mac_x86
	Supported Android versions:
		2.1   (API level 7)
		2.2   (API level 8)
		2.3   (API level 10)
		3.1   (API level 12)
		4.0   (API level 14)
		4.0.3 (API level 15)
		4.1   (API level 16)
Java SDK: /usr
Build information:
	Release ID: 30005000
	Git revision: e159cf083bd327933166819d94245298898d6e3d
	Build date: 2012-10-24 16:43:06+0000
	Xamarin addins: eea2ed91ae8dd242b281d5ec8f6c2fbc63b4cd3d
Operating System:
	Mac OS X 10.8.1
	Darwin dynamic-025.bos.xamarin.com 12.1.0 Darwin Kernel Version 12.1.0
	    Tue Aug 14 13:29:55 PDT 2012
	    root:xnu-2050.9.2~1/RELEASE_X86_64 x86_64
Comment 1 PJ 2012-11-19 12:16:27 UTC
Noticed the screencast has some of the actions slightly cut off, but I am just performing the steps as described, adding multiple existing folders in a row.
Comment 2 Alan McGovern 2012-12-05 09:05:09 UTC
Fixicated!
Comment 3 James Clancey 2012-12-20 19:21:18 UTC
This behavior is all wrong. 

I open solution1.  I work and add folders and files to it. 
I close solution1.

I open solution 2 and browse into a folder in my project.
I right click add files or folders. It now takes me to some random folder from solution 1.

If the folder location is saved, it can only save for the current project/solution. Once its closed it has to forget the spot and start from your current project path.  Even then I think remembering is wrong.  Whenever I right click and add files to a folder. It should default to that folder.
Comment 4 PJ 2012-12-21 10:37:30 UTC
Yeah it should definitely save it only for the current project.
Comment 5 xamarin-release-manager 2016-07-14 13:41:41 UTC
Fixed in version 6.2.0.179 (master)

Author: Lluis Sanchez
Commit: e5f0129e45fc5a96893e25f578fc25a8f446c1a5 (mono/monodevelop)
Comment 6 xamarin-release-manager 2016-07-14 14:01:42 UTC
Fixed in version 6.1.0.5235 (cycle8)

Author: Lluis Sanchez
Commit: ec12ea3dd5b59de84d5007bff97f969439ab61cb (mono/monodevelop)

Note You need to log in before you can comment on or make changes to this bug.